--------------------------------
-- Coded by: Exzu / EU-Aszune --
--------------------------------
--   INTERFACE CONFIG FRAME   --
--------------------------------

SS_optionsTable = {
	SS_configText = { isText = true, fontSize = 24, loc = "TOP", x = 0, y = -7, text = "|cFF0080FFSatchel Scanner: Options|r", },
	SS_instanceOptionText = { isText = true, fontSize = 18, loc = "TOP", x = 0, y = -30, text = "|cffff0000Instance Options|r", },	
	SS_notificationText = { isText = true, fontSize = 16, loc = "TOPLEFT", x = 10, y = -342, text = "|cffff0000Notification Options|r", },
	SS_scannerOptionText = { isText = true, fontSize = 16, loc = "TOPLEFT", x = 10, y = -276, text = "|cffff0000Scanner Options|r", },
	
	SS_scanInDungeonButton = { isCheckBox = true, loc = "TOPLEFT", x = 8, y = -292, },
	SS_scanInGroupButton = { isCheckBox = true, loc = "TOPLEFT", x = 8, y = -312, },
	SS_playSoundButton = { isCheckBox = true, loc = "TOPLEFT", x = 8, y = -358, },
	SS_raidWarningButton = { isCheckBox = true, loc = "TOPLEFT", x = 8, y = -378, },
	SS_updateIntervalSlider = { isSlider = true, loc = "TOPLEFT", x = 10, y = -423, width = 130, height = 20, minMax = {3, 15}, valueStep = 1 },
	SS_sliderText = { isText = true, fontSize = 16, loc = "TOPLEFT", x = 145, y = -425, text = "", },
	SS_sliderText2 = { isText = true, fontSize = 14, loc = "TOPLEFT", x = 10, y = -408, text = "Update Interval in Seconds", },
	SS_scanInInstance = { isText = true, fontSize = 14, loc = "TOPLEFT", x = 30, y = -296, text = "Scan while in Instance", },
	SS_scanInGroup = { isText = true, fontSize = 14, loc = "TOPLEFT", x = 30, y = -316, text = "Scan while in Group", },
	SS_playSoundText = { isText = true, fontSize = 14, loc = "TOPLEFT", x = 30, y = -362, text = "Play Soundwarning", },
	SS_raidWarningText = { isText = true, fontSize = 14, loc = "TOPLEFT", x = 30, y = -382, text = "Show Raidwarning", },
	
	SS_scanForTankButton = { isCheckBox = true, loc = "TOP", x = -150, y = -140, },
	SS_scanForHealButton = { isCheckBox = true, loc = "TOP", x = 0, y = -140, },
	SS_scanForDpsButton = { isCheckBox = true, loc = "TOP", x = 150, y = -140, },
	SS_heroicDungeon = { text = "Heroic Dungeons:", loc = "TOPLEFT", x = 10, y = -145, isText = true, fontSize = 14, },
	--SS_mythicDungeon = { text = "Mythic Dungeons:", loc = "TOPLEFT", x = 10, y = -165, isText = true, fontSize = 14, },
	--SS_timewalkingDungeon = { text = "Timewalking:", loc = "TOPLEFT", x = 10, y = -185, isText = true, fontSize = 14, },
		
	SS_tankIconText = { text = "Tank", loc = "TOP", x = -148, y = -120, isText = true, fontSize = 14, },
	SS_healIconText = { text = "Heal", loc = "TOP", x = 2, y = -120, isText = true, fontSize = 14, },
	SS_dpsIconText = { text = "Dps", loc = "TOP", x = 152, y = -120, isText = true, fontSize = 14, },	
	SS_tankBigIcon = { loc = "TOP", x = -150, y = -55, isIcon = true, zscale = 0, zxscale = 0, yscale = 1, xscale = 1, width = "64", height = "64", normalTxt = "Interface\\Addons\\SatchelScanner\\icons\\tankIconBig.tga", },
	SS_healBigIcon = { loc = "TOP", x = 0, y = -55, isIcon = true, zscale = 0, zxscale = 0, yscale = 1, xscale = 1, width = "64", height = "64", normalTxt = "Interface\\Addons\\SatchelScanner\\icons\\healerIconBig.tga", },
	SS_dpsBigIcon = { loc = "TOP", x = 150, y = -55, isIcon = true, zscale = 0, zxscale = 0, yscale = 1, xscale = 1, width = "64", height = "64", normalTxt = "Interface\\Addons\\SatchelScanner\\icons\\dpsIconBig.tga", },
};

SS_iconTable = {
};

SS_faqTable = {
	SS_mainText = { text = "|cFF0080FFSatchel Scanner|r", loc = "TOP", x = 0, y = -7, fontSize = 24 },
	SS_aboutText = { text = "Created by Exzu-Aszune", loc = "TOP", x = 0, y = -28, fontSize = 12 },
	SS_faqText = { text = "|cffff0000Questions and Answers|r", loc = "TOP", x = 0, y = -55, fontSize = 24 },
	SS_question1 = { text = "|cFF0080FFQ: Why does it list an satchel as available when there's nothing shown in the LFG window?|r", loc = "TOPLEFT", x = 10, y = -80, fontSize = 16 },
	SS_answer1 = { text = "A: This may be because your in a group. You will have to leave your group to view available rewards.", loc = "TOPLEFT", x = 10, y = -100, fontSize = 16 },
	SS_question2 = { text = "|cFF0080FFQ: Can you really recieve an satchel as DPS?|r", loc = "TOPLEFT", x = 10, y = -140, fontSize = 16 },
	SS_answer2 = { text = "A: Yes. It may be uncommon, but it do exist.", loc = "TOPLEFT", x = 10, y = -160, fontSize = 16 },
	SS_question3 = { text = "|cFF0080FFQ: I'm having an odd issue that only seems to be occuring for me, solution?|r", loc = "TOPLEFT", x = 10, y = -200, fontSize = 16 },
	SS_answer3	= { text = "A: Try using '/ss3 reset' to reset all options to default.", loc = "TOPLEFT", x = 10, y = -220, fontSize = 16 },
	SS_question4 = { text = "|cFF0080FFQ: Will you add the option to Auto-Queue when an Satchel is available?|r", loc = "TOPLEFT", x = 10, y = -260, fontSize = 16 },
	SS_answer4 = { text = "A: No, this will never happen.", loc = "TOPLEFT", x = 10, y = -280, fontSize = 16 },
};

function SS_interfaceConfig() -- New --
    -- Main Panel About/FAQ --
	SS_Options = {};
	SS_Options.panel = CreateFrame("Frame", "SatchelScannerPanel", UIParent);
	SS_Options.panel.name = "Satchel Scanner";
	InterfaceOptions_AddCategory(SS_Options.panel);
	for i, tVar in pairs(SS_faqTable) do
		_G[i] = SS_Options.panel:CreateFontString(nil, "OVERLAY")
		_G[i]:SetFont("Interface\\Addons\\SatchelScanner\\fonts\\font.TTF", tVar.fontSize, "OUTLINE");
		_G[i]:SetPoint(tVar.loc, tVar.x, tVar.y);
		_G[i]:SetText(tVar.text);
	end
    -- Options Expandable Childpanel --
	SS_Options.childpanel = CreateFrame("Frame", "SatchelScannerOptions", SS_Options.panel);
	SS_Options.childpanel.name = "Options";
	SS_Options.childpanel.parent = SS_Options.panel.name;
	InterfaceOptions_AddCategory(SS_Options.childpanel);
	SS_Options.panel.okay = function(self) datacall("update"); end;
	for i, tVar in pairs(SS_optionsTable) do -- This is for drawing each texture.
		if tVar.isText then
			_G[i] = SS_Options.childpanel:CreateFontString(nil, "OVERLAY")
			_G[i]:SetFont("Interface\\Addons\\SatchelScanner\\fonts\\font.TTF", tVar.fontSize, "OUTLINE");
			_G[i]:SetPoint(tVar.loc, tVar.x, tVar.y);
			_G[i]:SetText(tVar.text);
		elseif tVar.isCheckBox then	
			_G[i] = CreateFrame("CheckButton", nil, SS_Options.childpanel, "ChatConfigCheckButtonTemplate");
			_G[i]:SetPoint(tVar.loc, tVar.x, tVar.y);
			_G[i]:SetHitRectInsets(0, 0, 0, 0);
		elseif tVar.isSlider then
			_G[i] = CreateFrame("Slider", nil, SS_Options.childpanel, "OptionsSliderTemplate")
			_G[i]:SetPoint(tVar.loc, tVar.x, tVar.y);
			_G[i]:SetWidth(tVar.width);
			_G[i]:SetHeight(tVar.height);
			_G[i]:SetOrientation('HORIZONTAL');
			_G[i]:SetMinMaxValues(unpack(tVar.minMax));
			_G[i]:SetValueStep(tVar.valueStep);
			_G[i]:SetObeyStepOnDrag(true);
			_G[i]:SetScript("OnValueChanged", function(self) SS_sliderText:SetText(SS_updateIntervalSlider:GetValue()); end)
			_G[i]:Show();
		elseif tVar.isIcon then
			_G[i] = CreateFrame("Button", nil, SS_Options.childpanel, UIPanelButtomTemplate); -- UIPanelButtonTemplate
			_G[i]:SetWidth(tVar.width);
			_G[i]:SetHeight(tVar.height);
			_G[i]:SetPoint(tVar.loc, tVar.x, tVar.y);
			_G[i]:SetNormalTexture(tVar.normalTxt);
			_G[i]:GetNormalTexture():SetTexCoord(tVar.zxscale,tVar.xscale,tVar.zscale,tVar.yscale);
		end
	end
end

